Revoke a local token
Revokes a local token by id. A revoked token no longer appears in List local tokens.
No credential is needed from this machine. From another host, send Authorization: Bearer with a dispatch token CliqHub signed for this daemon or a cliq_tok_… personal token of a user in the daemon’s realm; this only works once the daemon is connected to CliqHub. See Authentication.
POST
/
v1
/
tokens
/
revoke
Revoke a local token
curl --request POST \
--url http://127.0.0.1:4900/v1/tokens/revoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"token_id": "6e5d4c3b-2a19-4f8e-a7d6-c5b4a3928170"
}
'import requests
url = "http://127.0.0.1:4900/v1/tokens/revoke"
payload = { "token_id": "6e5d4c3b-2a19-4f8e-a7d6-c5b4a3928170" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({token_id: '6e5d4c3b-2a19-4f8e-a7d6-c5b4a3928170'})
};
fetch('http://127.0.0.1:4900/v1/tokens/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "4900",
CURLOPT_URL => "http://127.0.0.1:4900/v1/tokens/revoke",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'token_id' => '6e5d4c3b-2a19-4f8e-a7d6-c5b4a3928170'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:4900/v1/tokens/revoke"
payload := strings.NewReader("{\n \"token_id\": \"6e5d4c3b-2a19-4f8e-a7d6-c5b4a3928170\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://127.0.0.1:4900/v1/tokens/revoke")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"token_id\": \"6e5d4c3b-2a19-4f8e-a7d6-c5b4a3928170\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://127.0.0.1:4900/v1/tokens/revoke")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"token_id\": \"6e5d4c3b-2a19-4f8e-a7d6-c5b4a3928170\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"id": "6e5d4c3b-2a19-4f8e-a7d6-c5b4a3928170",
"revoked": true
}
}
Authorizations
Not needed from the same machine. From another host: a dispatch JWT CliqHub signed for this daemon, or a cliq_tok_… personal token whose user is in the daemon's realm.
Body
application/json
Token to revoke
Minimum string length:
1⌘I
Revoke a local token
curl --request POST \
--url http://127.0.0.1:4900/v1/tokens/revoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"token_id": "6e5d4c3b-2a19-4f8e-a7d6-c5b4a3928170"
}
'import requests
url = "http://127.0.0.1:4900/v1/tokens/revoke"
payload = { "token_id": "6e5d4c3b-2a19-4f8e-a7d6-c5b4a3928170" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({token_id: '6e5d4c3b-2a19-4f8e-a7d6-c5b4a3928170'})
};
fetch('http://127.0.0.1:4900/v1/tokens/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "4900",
CURLOPT_URL => "http://127.0.0.1:4900/v1/tokens/revoke",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'token_id' => '6e5d4c3b-2a19-4f8e-a7d6-c5b4a3928170'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:4900/v1/tokens/revoke"
payload := strings.NewReader("{\n \"token_id\": \"6e5d4c3b-2a19-4f8e-a7d6-c5b4a3928170\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://127.0.0.1:4900/v1/tokens/revoke")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"token_id\": \"6e5d4c3b-2a19-4f8e-a7d6-c5b4a3928170\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://127.0.0.1:4900/v1/tokens/revoke")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"token_id\": \"6e5d4c3b-2a19-4f8e-a7d6-c5b4a3928170\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"id": "6e5d4c3b-2a19-4f8e-a7d6-c5b4a3928170",
"revoked": true
}
}